// Copyright (c) 2016, Fafadia Tech and contributors
// For license information, please see license.txt
/* eslint-disable */

frappe.query_reports["Procurement Report"] = {
	"filters": [

	],
        // formatter callback is used to format column and row data
        // reference: https://github.com/frappe/erpnext/blob/develop/erpnext/accounts/report/accounts_payable/accounts_payable.js
        // line number 121
        // reference: https://discuss.erpnext.com/t/error-in-colouring-script-reports/44077/6
        // set formatter for user column and set value with href to Engineer wise Customer RFQ Report with user filter parameter
	"formatter": function(value, row, column, data, default_formatter) {
                value = default_formatter(value, row, column, data);
                if (column.label == "User"){
                    var url = '/desk#query-report/Engineer-wise%20Customer%20RFQ%20Status?user=' + value.split(" ").join("%20")
		    value = '<a href='+url+'>'+value+'</a>'
		}
                return value;
        }
};
