# -*- coding: utf-8 -*-
from setuptools import setup, find_packages

with open('requirements.txt') as f:
	install_requires = f.read().strip().split('\n')

# get version from __version__ variable in gtl_custom/__init__.py
from gtl_custom import __version__ as version

setup(
	name='gtl_custom',
	version=version,
	description='Customisations done for GTL',
	author='Fafadia Tech',
	author_email='sidharth@fafadiatech.com',
	packages=find_packages(),
	zip_safe=False,
	include_package_data=True,
	install_requires=install_requires
)
